Redmine - Feature #12299

Redmine version requirement improvements (in plugins)
2012-11-04 01:24 - Andriy Lesyuk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version: 2.2.0

Resolution: Fixed

Description

Currently Redmine supports #requires_redmine with :version_or_higher and just :version, the latter requires exact versions to be
specified.

My suggestion:

* Allow to specify only major and minor version numbers for :version.
¢ Introduce :version_between, which will support the lowest and the highest versions.

The :version_or_higher option is useless now... As usually new version of Redmine requires fixing plugins anyway.

Associated revisions

Revision 10826 - 2012-11-17 11:07 - Jean-Philippe Lang

Makes Plugin#requires_redmine accept only major and minor version (#12299).

Revision 10827 - 2012-11-17 11:55 - Jean-Philippe Lang

Makes Plugin#requires_redmine accept a range of versions (#12299).

Revision 10828 - 2012-11-17 12:05 - Jean-Philippe Lang

Fixes #requires_redmine comments (#12299).

History

#1 - 2012-11-17 12:02 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

- Resolution set to Fixed

Feature added.

Rather than adding a :version_between option, the :version option now accepts a Range of versions. Here is the ruby syntax:
requires_redmine :version => '0.7.3'..'0.9.1'

Versions with major.minor only are now also supported:

requires_redmine :version => '0.7'
requires_redmine :version => '0.7'..'0.9"'
